@import url('https://fonts.googleapis.com/css2?family=Redressed&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans&display=swap');
* {
    margin: 0;
    padding: 0;
    font-family: 'Josefin Sans', sans-serif;
    scroll-behavior: smooth;
}

.bg {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -100;
    width: 100%;
    height: 700px;
    overflow: hidden;
}

.bg img {
    position: absolute;
    top: -25%;
    left: -25%;
    width: 150%;
    height: 150%;
    filter: blur(10px);
}

header {
    width: 80%;
    height: 100px;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: white;
}

.logo {
    display: flex;
    align-items: center;
    font-size: 1.8rem;
}

.logo img {
    width: 45px;
    height: 50px;
    border: 2px solid white;
    border-radius: 50%;
}

.logo p {
    margin-left: 10px;
    font-family: 'Redressed', cursive;
}

nav {
    display: flex;
}

nav .fas {
    display: none;
}

nav a {
    margin: 10px;
    font-size: 1.2rem;
    text-decoration: none;
    color: white;
    transition: all .2s;
}

nav a:hover {
    color: rgb(165, 165, 165);
}

.main {
    width: 100%;
    height: 600px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    color: white;
    z-index: -5;
    box-shadow: 0px 10px 50px rgba(0, 0, 0, 0.24);
}

.main .heading {
    font-size: 5rem;
    margin-bottom: 20px;
    margin-left: 50px;
    z-index: -5;
}

.main .tag {
    font-size: 2rem;
    margin: 0 10px 0 80px;
    margin-bottom: 20px;
    margin-left: 50px;
}


/* ---------- About Sectipn --------- */

.about {
    width: 100%;
    height: 100%;
    padding: 4em 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#container {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

iframe,
.about h2 {
    margin: .8em;
}

iframe {
    box-shadow: 0px 8px 50px rgba(0, 0, 0, 0.322);
}


/* ---------- media query --------- */

@media (max-width: 900px) {
    nav .fas {
        display: block;
        cursor: pointer;
    }
    nav .menu {
        width: 180px;
        display: none;
        flex-direction: column;
        position: absolute;
        top: 95px;
        right: 50px;
        background: rgba(255, 255, 255, 0.1);
        z-index: 10;
    }
    nav .menu.active {
        display: flex;
    }
    .bg img {
        left: -80%;
        width: 300%;
    }
}

@media (max-width: 570px) {
    nav .menu {
        width: 440px;
        flex-direction: row;
        right: 0px;
    }
}

@media (max-width: 570px) {
    nav .menu {
        width: 350px;
        flex-direction: row;
        right: 0px;
    }
    nav .menu a {
        font-size: 0.9rem;
    }
}